org.apache.lucene.search

## Class FieldCache.Ints

- java.lang.Object
- - org.apache.lucene.search.FieldCache.Ints

Enclosing interface:
  FieldCache

    public abstract static class FieldCache.Ints
    extends Object

Field values as 32-bit signed integers

### Field Summary

Fields
`static FieldCache.Ints` `EMPTY` Zero value for every document

### Constructor Summary

Constructors
Constructor and Description
`FieldCache.Ints()`

### Method Summary

Methods
`abstract int` `get(int docID)` Return an integer representation of this field's value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final FieldCache.Ints EMPTY

Zero value for every document

### Constructor Detail

#### FieldCache.Ints

    public FieldCache.Ints()

### Method Detail

#### get

    public abstract int get(int docID)

Return an integer representation of this field's value.